## noris-dedicated-common 6.0-3

=== Makefile ===
build:

install: build
	cp -r usr etc ${DESTDIR}/
			
clean:
	rm -f *-stamp

## noris-dedicated-common 5.0-14

=== debian/changelog ===
noris-dedicated-common (5.0-14) lenny; urgency=low

  * added 2 plugins (OTRS#10494905)

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 06 Dec 2010 11:51:53 +0100

noris-dedicated-common (5.0-13) lenny; urgency=low

  * new (dummy) version to fix package

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Thu, 02 Dec 2010 11:01:49 +0100

noris-dedicated-common (5.0-12) lenny; urgency=low

  * new (dummy) version to fix package

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Thu, 02 Dec 2010 10:47:25 +0100

noris-dedicated-common (5.0-11) lenny; urgency=low

  * new (dummy) version

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Wed, 01 Dec 2010 09:13:48 +0100

noris-dedicated-common (5.0-10) stable; urgency=low

  * changed email-address for RCPT in usr/sbin/noris-apt.sh

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Tue, 30 Nov 2010 12:22:44 +0100

noris-dedicated-common (5.0-9) stable; urgency=low

  * ntop wieder raus 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Sep 2010 14:32:21 +0200

noris-dedicated-common (5.0-8) stable; urgency=low

  * symlinks for omni 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Sep 2010 11:35:25 +0200

noris-dedicated-common (5.0-7) stable; urgency=low

  * diverse Aenderungen (Ticket 10175415) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Sep 2010 10:22:24 +0200

noris-dedicated-common (5.0-6) stable; urgency=low

  * removed grub (RT#614208) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 01 Jul 2010 14:23:50 +0200

noris-dedicated-common (5.0-5) stable; urgency=low

  * corrected mistake in noris-apt.sh 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 18 Jun 2010 15:39:03 +0200

noris-dedicated-common (5.0-4) stable; urgency=low

  * new noris-apt.sh (RT#611123) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 18 Jun 2010 14:42:44 +0200

noris-dedicated-common (5.0-3) stable; urgency=low

  * RT#544770; fixed typo

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 15 Sep 2009 17:29:35 +0200

noris-dedicated-common (5.0-2) stable; urgency=low

  * RT#544770; new version number

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 15 Sep 2009 17:21:52 +0200

noris-dedicated-common (5.0-1.17) stable; urgency=low

  * RT#544770; f...

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 15 Sep 2009 17:20:11 +0200

noris-dedicated-common (5.0-1.16) stable; urgency=low

  * RT#544770; again...

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 15 Sep 2009 17:08:08 +0200

noris-dedicated-common (5.0-1.15) stable; urgency=low

  * RT#544770; added missing /etc/cron.d/noris-dedicated-common

 -- Georg Gliniak <itchy@jack.office.noris.de>  Tue, 15 Sep 2009 16:47:07 +0200

noris-dedicated-common (5.0-1.14) stable; urgency=low

  * added allow_hosts (RT#538576) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 25 Aug 2009 13:39:19 +0200

noris-dedicated-common (5.0-1.13) stable; urgency=low

  * ask for existence of inittab in postinst

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 14 Jul 2009 12:09:33 +0200

noris-dedicated-common (5.0-1.12) stable; urgency=low

  * corrected apt/preferences

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 13 Jul 2009 16:55:38 +0200

noris-dedicated-common (5.0-1.11) lenny; urgency=low

  * bug in noris-apt.sh

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 05 Jun 2009 10:45:00 +0200

noris-dedicated-common (5.0-1.10) lenny; urgency=low

  * Remove debug -x in script 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 05 Jun 2009 10:38:58 +0200

noris-dedicated-common (5.0-1.9) lenny; urgency=low

  * changed noris-apt.sh

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 05 Jun 2009 10:35:20 +0200

noris-dedicated-common (5.0-1.8) lenny; urgency=low

  * remove changes

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 05 Jun 2009 10:12:38 +0200

noris-dedicated-common (5.0-1.7) lenny; urgency=low

  * correcting script (missing 2 variables) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 04 Jun 2009 15:49:06 +0200

noris-dedicated-common (5.0-1.6) lenny; urgency=low

  * chucked capman-client out of dependencies

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 04 Jun 2009 13:51:03 +0200

noris-dedicated-common (5.0-1.5) lenny; urgency=low

  * new apt notifications s. RT#517129

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 04 Jun 2009 09:53:38 +0200

noris-dedicated-common (5.0-1.4) lenny; urgency=low

  * added ob2-core | ob2-dummy (must be installed before ob2-da)

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 02 Jun 2009 16:48:33 +0200

noris-dedicated-common (5.0-1.3) lenny; urgency=low

  * removed ob2-da (is broken for lenny)

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 29 May 2009 11:24:59 +0200

noris-dedicated-common (5.0-1.2) lenny; urgency=low

  * add cracklib2

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 28 May 2009 10:48:10 +0200

noris-dedicated-common (5.0-1.1) lenny; urgency=low

  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 16:09:22 +0200

noris-dedicated-common (5.0-1) stable; urgency=low

  * Neue Version 5.0 (lenny)

 -- Georg Gliniak <itchy@jack.office.noris.de>  Fri, 03 Apr 2009 13:33:43 +0200

noris-dedicated-common (4.0-6) stable; urgency=low

  * Abhaengigkeit fuer collectd erneut korrigiert 

 -- Stefan Pfab <stefan.pfab@noris.net>  Wed, 10 Sep 2008 14:43:12 +0200

noris-dedicated-common (4.0-5) stable; urgency=low

  * genauere dependency fuer collectd (>= 4.3.0) 

 -- Stefan Pfab <stefan.pfab@noris.net>  Tue,  9 Sep 2008 14:36:07 +0200

noris-dedicated-common (4.0-4) stable; urgency=low

  * config und dependency fuer collectd hinzugefuegt

 -- Stefan Pfab <stefan.pfab@noris.net>  Tue,  9 Sep 2008 11:26:03 +0200

noris-dedicated-common (4.0-3) stable; urgency=low

  * Added optional Dependency to nagios-nrpe-server (Closes: RT#347894).



=== debian/control ===
Source: noris-dedicated-common
Section: noris/dedicated
Priority: important
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-dedicated-common
Architecture: all
Pre-Depends: noris-nrpe-server | nagios-nrpe-server | netsaint-nrpe-server, noris-base, cron, openbsd-inetd, collectd (>= 4.2.0)
Depends: ${shlibs:Depends}, apt-listchanges, perl, bzip2, memtest86 | memtest86+, linux-image-686 | linux-image, exim4 | mail-transport-agent, vlan, mailx, cracklib2, ob2-da | ob2-dummy, nmap, htop, tshark, swaks, sysstat
Conflicts: ppp, ipchains, exim, exim-tls, noris-server, noris-firewall, dataprotector-core, dataprotector-da
Description: Default-Installation for noris dedicated and managed hosting
 This is a meta-package which provides an out-of-the-box-installation for
 dedictated-hosting-servers (a product by noris network).

## noris-dedicated-common 6.0-3

=== debian/changelog ===
noris-dedicated-common (6.0-3) squeeze; urgency=low

  * noris.conf muss in collectd existieren, sonst nix reconfigure 

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 24 Mar 2011 10:35:43 +0100

noris-dedicated-common (6.0-2) squeeze; urgency=low

  * libcrack2 dependency 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 25 Feb 2011 11:51:11 +0100

noris-dedicated-common (6.0-1) squeeze; urgency=low

  * First Build for squeeze 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 25 Feb 2011 09:26:55 +0100

=== debian/control ===
Source: noris-dedicated-common
Section: noris/dedicated
Priority: important
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-dedicated-common
Architecture: all
Pre-Depends: noris-nrpe-server | nagios-nrpe-server | netsaint-nrpe-server, noris-base, cron, openbsd-inetd, collectd (>= 4.2.0) 
Depends: ${shlibs:Depends}, apt-listchanges, perl, bzip2, memtest86 | memtest86+, linux-image-686 | linux-image, exim4 | mail-transport-agent, vlan, mailx, libpam-cracklib, libcrack2, ob2-da | ob2-dummy, nmap, htop, tshark, swaks, sysstat
Conflicts: ppp, ipchains, exim, exim-tls, noris-server, noris-firewall, dataprotector-core, dataprotector-da
Description: Default-Installation for noris dedicated and managed hosting
 This is a meta-package which provides an out-of-the-box-installation for
 dedictated-hosting-servers (a product by noris network).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-dedicated-common.sgml > noris-dedicated-common.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-dedicated-common.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-dedicated-common install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
